const express = require('express');
const router = express.Router();
const incomeController = require('../controllers/incomes.controller');


router.post('/getincomes',incomeController.getincomes);
router.post('/totalincomes',incomeController.totalincomes);
router.post('/channelscards',incomeController.channelscards);
router.post('/loadincomes',incomeController.loadincomes);
router.post('/loadproductsales',incomeController.loadsoftrestaurant);
router.post('/loadchequesdetalle',incomeController.loadChequesDetalle);
router.post('/reportincomes',incomeController.reportIncomes);
router.post('/countticket',incomeController.countFolios);
router.post('/efectivo',incomeController.sumaEfectivo);
router.post('/otros',incomeController.sumaOtros);
router.post('/propinas',incomeController.sumaPropinas);
router.post('/tarjeta',incomeController.sumaTarjeta);
router.post('/vales',incomeController.sumaVales);
router.post('/sumatotal',incomeController.sumasTotales);
router.post('/ticketpromedio',incomeController.ticketPromedio);










router.get('/getproductsales',incomeController.getSoftRestaurant);
router.get('/getdetallecheque',incomeController.getdetallecheques);

module.exports = router;